Name:           rvm
Version:        1.17
Release:        2%{?dist}
Summary:        C library for unstructured recoverable virtual memory
Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.coda.cs.cmu.edu/
Source0:        ftp://ftp.coda.cs.cmu.edu/pub/coda/src/%{name}-%{version}.tar.gz
BuildRequires:  lwp-devel


%description
The RVM persistent recoverable memory library. The RVM library is used by
the Coda distributed filesystem.


%package tools
Summary:        Tools for %{name}
Group:          Development/Libraries
License:        GPLv2
Requires:       %{name} = %{version}-%{release}

%description tools
Userspace tools to initialize and manipulate RVM log and data segments.
The RVM library is used by the Coda distributed filesystem.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
License:        LGPLv2
Requires:       %{name} = %{version}-%{release}, pkgconfig, lwp-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# work around linking failures because of the disabling of rpath above
export LD_LIBRARY_PATH=`pwd`/rvm/.libs:`pwd`/seg/.libs
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/*.so.*

%files tools
%defattr(-,root,root,-)
%{_sbindir}/rvmutl
%{_sbindir}/rdsinit
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}lwp.pc


%changelog
* Thu Apr  1 2010 Adam Goode <adam@spicenitz.org> - 1.17-2
- Restore missing rpath build workaround

* Thu Apr  1 2010 Adam Goode <adam@spicenitz.org> - 1.17-1
- New upstream release
  + Add rvmutl/rdsinit man pages
  + Make sure we can build with pthread support
  + Fix several concurrent threading issues

* Tue Feb 16 2010 Adam Goode <adam@spicenitz.org> - 1.16-3
- Fix FTBFS (bz 565170)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Adam Goode <adam@spicenitz.org> - 1.16-1
- New upstream release
  + Build fixes
  + License fixes
  + Compiler warnings fixes

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon May 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.15-1
- Initial Fedora package
